INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','ALTER DATABASE','ALL',
'ALTER DATABASE name SET variable { TO | = } { value | DEFAULT }
ALTER DATABASE name RESET variable
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','ALTER GROUP','ALL',
'ALTER GROUP name ADD USER username [, ... ]
ALTER GROUP name DROP USER username [, ... ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','ALTER TABLE','ALL',
'ALTER TABLE [ ONLY ] table [ * ]
    ADD [ COLUMN ] column type [ column_constraint [ ... ] ]
ALTER TABLE [ ONLY ] table [ * ] DROP [ COLUMN ] column [ RESTRICT | CASCADE ]
ALTER TABLE [ ONLY ] table [ * ]
    ALTER [ COLUMN ] column { SET DEFAULT value | DROP DEFAULT }
ALTER TABLE [ ONLY ] table [ * ]
    ALTER [ COLUMN ] column { SET | DROP } NOT NULL
ALTER TABLE [ ONLY ] table [ * ] ALTER [ COLUMN ] column SET STATISTICS integer
ALTER TABLE [ ONLY ] table [ * ]
    ALTER [ COLUMN ] column SET STORAGE { PLAIN | EXTERNAL | EXTENDED | MAIN }
ALTER TABLE [ ONLY ] table [ * ]RENAME [ COLUMN ] column TO new_column
ALTER TABLE table  RENAME TO new_table
ALTER TABLE [ ONLY ] table [ * ] ADD table_constraint
ALTER TABLE [ ONLY ] table [ * ]
    DROP CONSTRAINT constraint_name [ RESTRICT | CASCADE ]
ALTER TABLE table OWNER TO new_owner
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','ALTER TRIGGER','ALL',
'ALTER TRIGGER trigger ON table
    RENAME TO newname
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','ALTER USER','ALL',
'ALTER USER username [ [ WITH ] option [ ... ] ]

where option can be:
      [ ENCRYPTED | UNENCRYPTED ] PASSWORD ''password'' 
    | CREATEDB | NOCREATEDB
    | CREATEUSER | NOCREATEUSER 
    | VALID UNTIL ''abstime''

ALTER USER username SET variable { TO | = } { value | DEFAULT }
ALTER USER username RESET variable
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','ANALYZE','ALL',
'ANALYZE [ VERBOSE ] [ table [ (column [, ...] ) ] ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','COMMENT','ALL',
'COMMENT ON
[
  TABLE object_name | COLUMN table_name.column_name |
  AGGREGATE agg_name (agg_type) | CONSTRAINT constraint_name ON table_name |
  DATABASE object_name | DOMAIN object_name |
  FUNCTION func_name (arg1_type, arg2_type, ...) |
  INDEX object_name | OPERATOR op (leftoperand_type, rightoperand_type) |
  RULE rule_name ON table_name | SCHEMA object_name | SEQUENCE object_name |
  TRIGGER trigger_name ON table_name | TYPE object_name | VIEW object_name
] IS ''text''
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','CREATE DOMAIN','ALL',
'CREATE DOMAIN domainname [AS] data_type
    [ DEFAULT default_expr ]
    [ constraint [ ... ] ]

where constraint is:
[ CONSTRAINT constraint_name ]
{ NOT NULL | NULL }
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','CREATE GROUP','ALL',
'CREATE GROUP name [ [ WITH ] option [ ... ] ]

where option can be:
     SYSID gid  | USER  username [, ...]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','CREATE INDEX','ALL',
'CREATE [ UNIQUE ] INDEX index_name ON table
    [ USING acc_method ] ( column [ ops_name ] [, ...] )
    [ WHERE predicate ]
CREATE [ UNIQUE ] INDEX index_name ON table
    [ USING acc_method ] ( func_name( column [, ... ]) [ ops_name ] )
    [ WHERE predicate ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','CREATE RULE','ALL',
'CREATE [ OR REPLACE ] RULE name AS ON event
    TO table [ WHERE condition ]
    DO [ INSTEAD ] action

where action can be:
NOTHING
| query
| ( query ; query ... )

',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','CREATE SEQUENCE','ALL',
'CREATE [ TEMPORARY | TEMP ] SEQUENCE seqname [ INCREMENT increment ]
    [ MINVALUE minvalue ] [ MAXVALUE maxvalue ]
    [ START start ] [ CACHE cache ] [ CYCLE ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','CREATE TABLE','ALL',
'CREATE [ [ LOCAL ] { TEMPORARY | TEMP } ] TABLE table_name (
    { column_name data_type [ DEFAULT default_expr ] [ column_constraint [, ... ] ]
    | table_constraint }  [, ... ]
)
[ INHERITS ( parent_table [, ... ] ) ]
[ WITH OIDS | WITHOUT OIDS ]

where column_constraint is:
[ CONSTRAINT constraint_name ]
{ NOT NULL | NULL | UNIQUE | PRIMARY KEY |
  CHECK (expression) |
  REFERENCES reftable [ ( refcolumn ) ] [ MATCH FULL | MATCH PARTIAL ]
    [ ON DELETE action ] [ ON UPDATE action ] }
[ DEFERRABLE | NOT DEFERRABLE ] [ INITIALLY DEFERRED | INITIALLY IMMEDIATE ]

and table_constraint is:

[ CONSTRAINT constraint_name ]
{ UNIQUE ( column_name [, ... ] ) |
  PRIMARY KEY ( column_name [, ... ] ) |
  CHECK ( expression ) |
  FOREIGN KEY ( column_name [, ... ] ) REFERENCES reftable [ ( refcolumn [, ... ] ) ]
    [ MATCH FULL | MATCH PARTIAL ] [ ON DELETE action ] [ ON UPDATE action ] }
[ DEFERRABLE | NOT DEFERRABLE ] [ INITIALLY DEFERRED | INITIALLY IMMEDIATE ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','CREATE TABLE AS','ALL',
'CREATE [ [ LOCAL ] { TEMPORARY | TEMP } ] TABLE table_name [ (column_name [, ...] ) ]
    AS query
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','CREATE TRIGGER','ALL',
'CREATE TRIGGER name { BEFORE | AFTER } { event [OR ...] }
    ON table FOR EACH { ROW | STATEMENT }
    EXECUTE PROCEDURE func ( arguments )
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','CREATE VIEW','ALL',
'CREATE [ OR REPLACE ] VIEW view [ ( column name list ) ] AS SELECT query
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','DELETE','ALL',
'DELETE FROM [ ONLY ] table [ WHERE condition ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','DROP DOMAIN','ALL',
'DROP DOMAIN domainname [, ...]  [ CASCADE | RESTRICT ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','DROP GROUP','ALL',
'DROP GROUP name
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','DROP INDEX','ALL',
'DROP INDEX index_name [, ...] [ CASCADE | RESTRICT ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','DROP RULE','ALL',
'DROP RULE name ON relation [ CASCADE | RESTRICT ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','DROP SEQUENCE','ALL',
'DROP SEQUENCE name [, ...] [ CASCADE | RESTRICT ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','DROP TABLE','ALL',
'DROP TABLE name [, ...] [ CASCADE | RESTRICT ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','DROP TRIGGER','ALL',
'DROP TRIGGER name ON table [ CASCADE | RESTRICT ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','DROP VIEW','ALL',
'DROP VIEW name [, ...] [ CASCADE | RESTRICT ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','GRANT','ALL',
'GRANT { { SELECT | INSERT | UPDATE | DELETE | RULE | REFERENCES | TRIGGER }
    [,...] | ALL [ PRIVILEGES ] }
    ON [ TABLE ] tablename [, ...]
    TO { username | GROUP groupname | PUBLIC } [, ...]

GRANT { { CREATE | TEMPORARY | TEMP } [,...] | ALL [ PRIVILEGES ] }
    ON DATABASE dbname [, ...]
    TO { username | GROUP groupname | PUBLIC } [, ...]

GRANT { EXECUTE | ALL [ PRIVILEGES ] }
    ON FUNCTION funcname ([type, ...]) [, ...]
    TO { username | GROUP groupname | PUBLIC } [, ...]

GRANT { USAGE | ALL [ PRIVILEGES ] }
    ON LANGUAGE langname [, ...]
    TO { username | GROUP groupname | PUBLIC } [, ...]

GRANT { { CREATE | USAGE } [,...] | ALL [ PRIVILEGES ] }
    ON SCHEMA schemaname [, ...]
    TO { username | GROUP groupname | PUBLIC } [, ...]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','INSERT','ALL',
'INSERT INTO table [ ( column [, ...] ) ]
    { DEFAULT VALUES | VALUES ( { expression | DEFAULT } [, ...] ) | SELECT query }
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','REINDEX','ALL',
'REINDEX { TABLE | DATABASE | INDEX } name [ FORCE ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','RESET','ALL',
'RESET variable
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','REVOKE','ALL',
'REVOKE { { SELECT | INSERT | UPDATE | DELETE | RULE | REFERENCES | TRIGGER }
    [,...] | ALL [ PRIVILEGES ] }
    ON [ TABLE ] tablename [, ...]
    FROM { username | GROUP groupname | PUBLIC } [, ...]

REVOKE { { CREATE | TEMPORARY | TEMP } [,...] | ALL [ PRIVILEGES ] }
    ON DATABASE dbname [, ...]
    FROM { username | GROUP groupname | PUBLIC } [, ...]

REVOKE { EXECUTE | ALL [ PRIVILEGES ] }
    ON FUNCTION funcname ([type, ...]) [, ...]
    FROM { username | GROUP groupname | PUBLIC } [, ...]

REVOKE { USAGE | ALL [ PRIVILEGES ] }
    ON LANGUAGE langname [, ...]
    FROM { username | GROUP groupname | PUBLIC } [, ...]

REVOKE { { CREATE | USAGE } [,...] | ALL [ PRIVILEGES ] }
    ON SCHEMA schemaname [, ...]
    FROM { username | GROUP groupname | PUBLIC } [, ...]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','SELECT','ALL',
'SELECT [ ALL | DISTINCT [ ON ( expression [, ...] ) ] ]
    * | expression [ AS output_name ] [, ...]
    [ FROM from_item [, ...] ]
    [ WHERE condition ]
    [ GROUP BY expression [, ...] ]
    [ HAVING condition [, ...] ]
    [ { UNION | INTERSECT | EXCEPT } [ ALL ] select ]
    [ ORDER BY expression [ ASC | DESC | USING operator ] [, ...] ]
    [ LIMIT { count | ALL } ]
    [ OFFSET start ]
    [ FOR UPDATE [ OF tablename [, ...] ] ]

where from_item can be:
[ ONLY ] table_name [ * ] [ [ AS ] alias [ ( column_alias_list ) ] ]
|
( select ) [ AS ] alias [ ( column_alias_list ) ]
|
table_function_name ( [ argument [, ...] ] )
    [ AS ] alias [ ( column_alias_list | column_definition_list ) ]
|
table_function_name ( [ argument [, ...] ] ) AS ( column_definition_list )
|
from_item [ NATURAL ] join_type from_item
    [ ON join_condition | USING ( join_column_list ) ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','SELECT INTO','ALL',
'SELECT [ ALL | DISTINCT [ ON ( expression [, ...] ) ] ]
    * | expression [ AS output_name ] [, ...]
    INTO [ TEMPORARY | TEMP ] [ TABLE ] new_table
    [ FROM from_item [, ...] ]
    [ WHERE condition ]
    [ GROUP BY expression [, ...] ]
    [ HAVING condition [, ...] ]
    [ { UNION | INTERSECT | EXCEPT } [ ALL ] select ]
    [ ORDER BY expression [ ASC | DESC | USING operator ] [, ...] ]
    [ LIMIT { count | ALL } ]
    [ OFFSET start ]
    [ FOR UPDATE [ OF tablename [, ...] ] ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','SET','ALL',
'SET [ SESSION | LOCAL ] variable { TO | = } { value | ''value'' | DEFAULT }
SET [ SESSION | LOCAL ] TIME ZONE { timezone | LOCAL | DEFAULT }
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','SHOW','ALL',
'SHOW name
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','TRUNCATE','ALL',
'TRUNCATE [ TABLE ] name
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','UPDATE','ALL',
'UPDATE [ ONLY ] table SET col = expression [, ...]
    [ FROM fromlist ]
    [ WHERE condition ]
',
'now');
INSERT INTO helpfile (dbasename, actionname, helpname, languages, helptext, tmin) VALUES (
'__ALL','__STD_global_SQL_do','VACUUM','ALL',
'VACUUM [ FULL ] [ FREEZE ] [ VERBOSE ] [ table ]
VACUUM [ FULL ] [ FREEZE ] [ VERBOSE ] ANALYZE [ table [ (column [, ...] ) ] ]

',
'now');
