#!/usr/bin/perl -w
#
# Perl-Programm zum bernehmen von Hilfetexten in die dbengine-Datenbank.
#

my $dbase = 'dbengine_info_db';
my $filename  = 'helpfile';
my $fieldnames = 'dbasename, actionname, helpname, languages, helptext, tmin';
my %fields;
my $helpname;
my $helpname_new;
my $put = 0;
my $anf = 1;
my $helpstr;

while (my $line = <>) {
	chomp($line);
	if ($anf) {
		if ( $line =~ /^\s*\[\s*([^\s]+)\s+=\s+([^\s].*)\]\s*$/ ) {
			my $name  = $1;
			my $value = $2;
			$name = $1 if ($name =~ /^\s*([^\s].*)\s*$/);
			$name = $1 if ($name =~ /^(.*[^\s]+)\s*$/);
			$value = $1 if ($value =~ /^\s*([^\s].*)\s*$/);
			$value = $1 if ($value =~ /^(.*[^\s]+)\s*$/);
			$fields{$name} = $value;
		} elsif ($line =~ /^Command:\s+([^\s].*)$/) {
        		$helpname = $1;
			$anf      = 0;
			$helpstr  = "";
		}	
	} else {
		if ($line =~ /^Command:\s+([^\s].*)$/) {
			my $nhelpname = $1;
			print "INSERT INTO $filename ($fieldnames) VALUES (\n" .
		      		"'$fields{'dbasename'}','$fields{'actionname'}','$helpname','$fields{'languages'}',\n" .
		      		"'$helpstr',\n'now');\n";
			$helpstr = "";	
			$helpname = $nhelpname;
			$put = 0;
		} else {	
	                $line =~ s/'/''/g;
			$helpstr .= "$line\n";
			$put      = 1;
		}	
        }
}
if($put) {
	print "INSERT INTO $filename ($fieldnames) VALUES (\n" .
	      "'$fields{'dbasename'}','$fields{'actionname'}','$helpname','$fields{'languages'}',\n" .
	      "'$helpstr',\n'now');\n";
}
